/*
(c) Janusz Ganczarski
http://www.januszg.hg.pl
JanuszG@enter.net.pl
*/

// uchwyty tekstur dwuwymiarowych

uniform sampler2D tex1;
uniform sampler2D tex2;

void main ()
{
    // pobranie teksela pierwszej tekstury
    vec4 color1 = texture2D (tex1,gl_TexCoord[0].st);

    // pobranie teksela drugiej tekstury
    vec4 color2 = texture2D (tex2,gl_TexCoord[1].st);
    
    // obliczenie skadowych koloru wynikowego fragmentu
    gl_FragColor = color1 * color2;
}
